---
title: VRStageParameters
slug: Web/API/VRStageParameters
tags:
  - API
  - Experimental
  - Interface
  - Reference
  - VR
  - VRStageParameters
  - Virtual Reality
  - WebVR
---
<div>{{APIRef("WebVR API")}}{{SeeCompatTable}}</div>

<p>The <strong><code>VRStageParameters</code></strong> interface of the <a href="/en-US/docs/Web/API/WebVR_API">WebVR API</a> represents the values describing the stage area for devices that support room-scale experiences.</p>

<p>This interface is accessible through the {{domxref("VRDisplay.stageParameters")}} property.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("VRStageParameters.sittingToStandingTransform")}} {{readonlyInline}}</dt>
 <dd>Contains a matrix that transforms the sitting-space view matrices of {{domxref("VRFrameData")}} to standing-space.</dd>
 <dt>{{domxref("VRStageParameters.sizeX")}} {{readonlyInline}}</dt>
 <dd><dfn>Returns the w</dfn>idth of the play-area bounds in meters.</dd>
 <dt>{{domxref("VRStageParameters.sizeY")}} {{readonlyInline}}</dt>
 <dd><dfn>Returns the depth</dfn> of the play-area bounds in meters.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">var info = document.querySelector('p');
var vrDisplay;

navigator.getVRDisplays().then(function(displays) {
  vrDisplay = displays[0];
  var stageParams = vrDisplay.stageParameters;
  // stageParams is a VRStageParameters object

  if(stageParams === null) {
    info.textContent = 'Your VR Hardware does not support room-scale experiences.'
  } else {
    info.innerHTML = '&lt;strong&gt;Display stage parameters&lt;/strong&gt;'
                 + '&lt;br&gt;Sitting to standing transform: ' + stageParams.sittingToStandingTransform
                 + '&lt;br&gt;Play area width (m): ' + stageParams.sizeX
                 + '&lt;br&gt;Play area depth (m): ' + stageParams.sizeY
  }
});</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebVR 1.1', '#interface-vrstageparameters', 'VRStageParameters')}}</td>
   <td>{{Spec2('WebVR 1.1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.VRStageParameters")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebVR_API">WebVR API homepage</a></li>
 <li><a href="http://mozvr.com/">MozVr.com</a> — demos, downloads, and other resources from the Mozilla VR team.</li>
</ul>
